Subject: Re: [PATCH v2 net] net: lan966x: fix kernel oops on ioctl when I/F is down

From: [email-masked]
Date: Tue, 29 Mar 2022 09:20:10 +0000

Hello:

This patch was applied to netdev/net.git (master)
by Paolo Abeni <[email-masked]>:

On Tue, 29 Mar 2022 00:03:50 +0200 you wrote:
> ioctls handled by phy_mii_ioctl() will cause a kernel oops when the
> interface is down. Fix it by making sure there is a PHY attached.
> 
> Fixes: 735fec995b21 ("net: lan966x: Implement SIOCSHWTSTAMP and SIOCGHWTSTAMP")
> Signed-off-by: Michael Walle <[email-masked]>
> ---
> changes since v1:
>  - reword commit message
>  - test for the presence of phydev instead of the interface state
>  - move the test just before phy_mii_ioctl()
> 
> [...]

Here is the summary with links:
  - [v2,net] net: lan966x: fix kernel oops on ioctl when I/F is down
    https://git.kernel.org/netdev/net/c/ad7da1ce5749

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html